Package com.android.server.os

# Class LinphoneTombstoneProtos.FD

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.FD,LinphoneTombstoneProtos.FD.Builder>
com.android.server.os.LinphoneTombstoneProtos.FD

All Implemented Interfaces:
  `LinphoneTombstoneProtos.FDOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.FD extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.FD,LinphoneTombstoneProtos.FD.Builder> implements LinphoneTombstoneProtos.FDOrBuilder
Protobuf type `FD`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.FD.Builder`
Protobuf type `FD`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FD_FIELD_NUMBER`
`static final int`
`OWNER_FIELD_NUMBER`
`static final int`
`PATH_FIELD_NUMBER`
`static final int`
`TAG_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`static LinphoneTombstoneProtos.FD`
`getDefaultInstance()`
`int`
`getFd()`
`int32 fd = 1;`
`String`
`getOwner()`
`string owner = 3;`
`com.google.protobuf.ByteString`
`getOwnerBytes()`
`string owner = 3;`
`String`
`getPath()`
`string path = 2;`
`com.google.protobuf.ByteString`
`getPathBytes()`
`string path = 2;`
`long`
`getTag()`
`uint64 tag = 4;`
`static LinphoneTombstoneProtos.FD.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.FD.Builder`
`newBuilder(LinphoneTombstoneProtos.FD prototype)`
`static LinphoneTombstoneProtos.FD`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.FD`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.FD`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.FD>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### FD_FIELD_NUMBER

public static final int FD_FIELD_NUMBER

See Also:
  - Constant Field Values

### PATH_FIELD_NUMBER

public static final int PATH_FIELD_NUMBER

See Also:
  - Constant Field Values

### OWNER_FIELD_NUMBER

public static final int OWNER_FIELD_NUMBER

See Also:
  - Constant Field Values

### TAG_FIELD_NUMBER

public static final int TAG_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getFd

public int getFd()
`int32 fd = 1;`

Specified by:
  `getFd` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The fd.

### getPath

public String getPath()
`string path = 2;`

Specified by:
  `getPath` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The path.

### getPathBytes

public com.google.protobuf.ByteString getPathBytes()
`string path = 2;`

Specified by:
  `getPathBytes` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The bytes for path.

### getOwner

public String getOwner()
`string owner = 3;`

Specified by:
  `getOwner` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The owner.

### getOwnerBytes

public com.google.protobuf.ByteString getOwnerBytes()
`string owner = 3;`

Specified by:
  `getOwnerBytes` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The bytes for owner.

### getTag

public long getTag()
`uint64 tag = 4;`

Specified by:
  `getTag` in interface `LinphoneTombstoneProtos.FDOrBuilder`
Returns:
  The tag.

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.FD parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.FD parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.FD parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.FD.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.FD.Builder newBuilder(LinphoneTombstoneProtos.FD prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.FD,LinphoneTombstoneProtos.FD.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.FD getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.FD> parser()